Bug 828580 - [mr] failed pofilter filepathss tests for subscription-manager translations
[mr] failed pofilter filepathss tests for subscription-manager translations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 5.9
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n, Translation
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-06-04 18:26 EDT by Sharath Dwaral
Modified: 2015-03-22 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:45:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-06-04 18:26:23 EDT
Description of problem:
The gnome filepaths were not properly translated for 'mr' language.  Sample output is shown below, 


Version-Release number of selected component (if applicable):
[root@fsharath-rhel63server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:


Steps to Reproduce:

[root@fsharath-rhel63server ~]# msgunfmt --no-wrap /usr/share/locale/mr/LC_MESSAGES/rhsm.mo -o /usr/share/locale/mr/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t filepaths /usr/share/locale/mr/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: mr\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-11 06:47-0400\n"
"Last-Translator: sandeeps <sandeeps@fedoraproject.org>\n"
"Language-Team: Marathi <fedora-trans-mr@redhat.com>\n"
"Language: mr\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n!=1);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) filepaths: Different file paths
msgid "Could not read installation number from /etc/sysconfig/rhn/install-num.  Aborting."
msgstr "/etc/sysconfig/rhn/install-num पासून प्रतिष्ठापन क्रमांक वाचणे अशक्य.  रद्द करत आहे."

# (pofilter) filepaths: Different file paths
msgid "Network error, unable to connect to server. Please see /var/log/rhsm/rhsm.log for more information."
msgstr "नेटवर्क त्रुटी, सर्व्हरशी जोडणी करणे अशक्य. कृपया /var/log/rhsm/rhsm पहा. अधिक माहितीकरीता लॉग पहा."

Actual results:
Shown above

Expected results:

msgid "Network error, unable to connect to server. Please see /var/log/rhsm/rhsm.log for more information."
msgstr "नेटवर्क त्रुटी, सर्व्हरशी जोडणी करणे अशक्य. कृपया /var/log/rhsm/rhsm.log पहा. अधिक माहितीकरीता लॉग पहा.""

Additional info:

http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#filepaths
Comment 1 Sharath Dwaral 2012-06-04 18:32:22 EDT
Expected results:

msgid "Network error, unable to connect to server. Please see /var/log/rhsm/rhsm.log for more information."
>msgstr "नेटवर्क त्रुटी, सर्व्हरशी जोडणी करणे अशक्य. कृपया /var/log/rhsm/rhsm.log पहा. अधिक >माहितीकरीता लॉग पहा."
Comment 4 Bryan Kearney 2012-06-06 15:22:02 EDT
One can be fixed. The other, where the url is at the end, is a false negative.
Comment 6 Sharath Dwaral 2012-06-12 13:32:28 EDT
# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

Steps to Reproduce:

# msgunfmt --no-wrap /usr/share/locale/mr/LC_MESSAGES/rhsm.mo -o /usr/share/locale/mr/LC_MESSAGES/rhsm.po
# pofilter --gnome -t filepaths /usr/share/locale/mr/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: mr\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-04-26 12:16-0400\n"
"PO-Revision-Date: 2012-04-10 01:30-0400\n"
"Last-Translator: Sandeep Shedmake <sshedmak@redhat.com>\n"
"Language-Team: Marathi <fedora-trans-mr@redhat.com>\n"
"Language: mr\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n!=1);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) filepaths: Different file paths
msgid "Could not read installation number from /etc/sysconfig/rhn/install-num.  Aborting."
msgstr "/etc/sysconfig/rhn/install-num पासून प्रतिष्ठापन क्रमांक वाचणे अशक्य.  रद्द करत आहे."
[###########################################] 100%

Filepath in the translated string contains rhsm.log at the end. All significant issues are fixed.

Moving Bug to Verified.
Comment 7 sandeep shedmake 2012-06-25 05:08:52 EDT
(In reply to comment #1)
> Expected results:
> 
> msgid "Network error, unable to connect to server. Please see
> /var/log/rhsm/rhsm.log for more information."
> >msgstr "नेटवर्क त्रुटी, सर्व्हरशी जोडणी करणे अशक्य. कृपया /var/log/rhsm/rhsm.log पहा. अधिक >माहितीकरीता लॉग पहा."

Fixed in 
https://translate.zanata.org/zanata/project/view/subscription-manager/ » 0.99.X 


[sshedmak@dhcp193-69 tmp]$ pofilter --gnome -t filepaths keys.po 
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: mr\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-06-25 04:51-0400\n"
"Last-Translator: sandeeps <sandeeps@fedoraproject.org>\n"
"Language-Team: Marathi <fedora-trans-mr@redhat.com>\n"
"Language: mr\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n!=1);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) filepaths: Different file paths
#: ../src/install-num-migrate-to-rhsm:102
msgctxt ""
msgid ""
"Could not read installation number from /etc/sysconfig/rhn/install-num.  "
"Aborting."
msgstr ""
"/etc/sysconfig/rhn/install-num पासून प्रतिष्ठापन क्रमांक वाचणे अशक्य.  रद्द "
"करत आहे."
[###########################################] 100%
[sshedmak@dhcp193-69 tmp]$ echo $?
0


Also from Comment 4,  verified false negative.

Meanwhile, updates for rhsm 1.0 would be pushed asap to Zanata. 

Would be good if pofilter validation checks are integrated within Zanata.


~/Sandeep
Comment 8 sandeep shedmake 2012-06-26 04:18:09 EDT
(In reply to comment #7)

<snip>
> 
> Meanwhile, updates for rhsm 1.0 would be pushed asap to Zanata. 
> 
</snip>


Done. updates to rhsm 1.0 now available via Zanata.

[sshedmak@dhcp193-69 rhsm-1.0]$ msgfmt --statistics -cv keys.po -o /dev/null 
keys.po: 616 translated messages.
[sshedmak@dhcp193-69 rhsm-1.0]$ echo $?
0



However, following false negative holds true.

[sshedmak@dhcp193-69 rhsm-1.0]$ pofilter --gnome -t filepaths keys.po 
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: mr\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-06-25 09:17-0400\n"
"PO-Revision-Date: 2012-06-26 02:25-0400\n"
"Last-Translator: sandeeps <sandeeps@fedoraproject.org>\n"
"Language-Team: Marathi <fedora-trans-mr@redhat.com>\n"
"Language: mr\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n!=1);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) filepaths: Different file paths
#: ../src/install-num-migrate-to-rhsm:107
msgctxt ""
msgid ""
"Could not read installation number from /etc/sysconfig/rhn/install-num.  "
"Aborting."
msgstr ""
"/etc/sysconfig/rhn/install-num पासून प्रतिष्ठापन क्रमांक वाचणे अशक्य.  रद्द "
"करत आहे."
[###########################################] 100%
[sshedmak@dhcp193-69 rhsm-1.0]$ echo $?
0



Thanks!
Comment 9 Bryan Kearney 2013-01-09 12:45:35 EST
Batch change of verified bugs which must have missed making the errata.

Note You need to log in before you can comment on or make changes to this bug.